<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- A partir de un archivo .sec para repasa genera un documento HTML
  Se cede esta fuente al dominio pblico 2003.  Sin garantas.
	http://structio.sourceforge.net/repasa
     structio-info@lists.sourceforge.net -->

<xsl:param name="nomcla">ejsimple.cla</xsl:param>
<xsl:param name="nomdef">ejsimple.def</xsl:param>
<xsl:param name="logros">Logros</xsl:param>
<xsl:param name="indicadores">Indicadores y Definiciones</xsl:param>

<xsl:output method="html" encoding="ISO-8859-1"/>


<xsl:template match="secuencia">
  <html><head>
	<title><xsl:apply-templates select="desc"/></title>
  </head><body>
  <h1><xsl:apply-templates select="desc"/></h1>
  <h2>Autores</h2>
  <xsl:apply-templates select="autor"/>
  <xsl:text>
  </xsl:text>
  <h2>Derechos de reproduccin</h2>
  <xsl:apply-templates select="derechos"/>
  <xsl:text>
  </xsl:text>
  <h2>Referencias</h2>
  <xsl:apply-templates select="biblio"/>
  <xsl:apply-templates select="document($nomcla)//biblio"/>
<!--  <xsl:apply-templates select="document($nomdef)//biblio"/> -->
  <xsl:text>
  </xsl:text>
  <h2><xsl:value-of select="$logros"/></h2>
  <ul>
  <xsl:apply-templates select="document($nomcla)//clasif" mode="logros"/>
  </ul>
  <xsl:text>
  </xsl:text>
  <h2><xsl:value-of select="$indicadores"/></h2>
  <ul>
        <xsl:apply-templates select=".//sec"/>
  </ul>
  </body>
  </html>
</xsl:template>

<xsl:template match="sec">
  <li><!--<xsl:value-of select="./@tipo"/>-->
  (<xsl:value-of select="./@id"/>): 
  <xsl:apply-templates select=".//desc"/>
    <ul>
      <xsl:apply-templates select=".//refcla"/>
    </ul>
    <ul>
      <xsl:apply-templates select=".//sec"/>
    </ul>
  </li>
</xsl:template>

<xsl:template match="refcla">
  <xsl:variable name="lid">
    <xsl:choose>
      <xsl:when test="contains(./@idcla,':')">
        <xsl:value-of select="substring-after(./@idcla,':')"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="./@idcla"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="ncla">
    <xsl:choose>
      <xsl:when test="contains(./@idcla,':')">
        <xsl:value-of select="substring-before(./@idcla,':')"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$nomcla"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:apply-templates select="document($ncla)/clasificacion">
    <xsl:with-param name="idcla" select="$lid"/>
  </xsl:apply-templates>
</xsl:template>


<xsl:template match="derechos">
  <b><xsl:value-of select="./@titular"/><xsl:text> </xsl:text>
  <xsl:value-of select="./@tiempo"/> <xsl:text> </xsl:text>
  <xsl:value-of select="./@tipo"/></b> <br/>
  <xsl:value-of select="."/><p/>
</xsl:template>


<xsl:template match="autor">
  <i><xsl:value-of select="."/></i><xsl:text> </xsl:text>
  <xsl:value-of select="./@fecha"/><xsl:text> </xsl:text>
  <xsl:value-of select="./@org"/><xsl:text> </xsl:text>
  <xsl:value-of select="./@correoe"/><xsl:text> </xsl:text>
  <xsl:value-of select="./@info_contacto"/><p/>
</xsl:template>

<xsl:template match="biblio">
  <xsl:value-of select="."/><p/>
</xsl:template>
  
<xsl:template match="clasificacion">
  <xsl:param name="idcla"/>
  <xsl:apply-templates select="clasif">
    <xsl:with-param name="idcla" select="$idcla"/>
  </xsl:apply-templates>
</xsl:template>

<xsl:template match="clasif" mode="logros">
  <xsl:choose>
	  <xsl:when test="'Logro'=./@tipo"> 
		  <li> (<xsl:value-of select="./@id"/>): 
			  <xsl:apply-templates select="./desc"/></li>
  	  </xsl:when>
  </xsl:choose>
</xsl:template>

<xsl:template match="clasif">
  <xsl:param name="idcla"/>
  <xsl:choose>
	    <xsl:when test="$idcla=./@id"> 
      <li><!--<xsl:value-of select="./@tipo"/> -->
        (<xsl:value-of select="./@id"/>): 
	<xsl:apply-templates select="./desc"/>
	<xsl:variable name="rsig">
	  <xsl:apply-templates select="./refsig"/>
	</xsl:variable>
	<xsl:if test="$rsig != ''">
          <ul><xsl:apply-templates select="./refsig"/></ul>
	</xsl:if>
      </li>
    </xsl:when>
    <xsl:otherwise>

      <xsl:apply-templates select="clasif">
        <xsl:with-param name="idcla" select="$idcla"/>
      </xsl:apply-templates>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="clasif/desc">
  <xsl:value-of select="."/>
</xsl:template>

<xsl:template match="refsig">
  <xsl:variable name="sid">
    <xsl:choose>
      <xsl:when test="contains(./@idsig,':')">
        <xsl:value-of select="substring-after(./@idsig,':')"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="@idsig"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:variable name="ndef">
    <xsl:choose>
      <xsl:when test="contains(./@idsig,':')">
        <xsl:value-of select="substring-before(./@idsig,':')"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$nomdef"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
<!--  <xsl:variable name="pid" select="substring-before($sid,'.')"/>
  <li>
  <xsl:apply-templates select="document($ndef)/def/pal[@id=$pid]">
    <xsl:with-param name="idsig" select="$sid"/>
  </xsl:apply-templates>
  </li> -->
</xsl:template>

<xsl:template match="pal">
  <xsl:param name="idsig"/>
  <xsl:variable name="p">
    <xsl:choose>
      <xsl:when test="@pal">
        <xsl:value-of select="@pal"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="@id"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>
  <xsl:apply-templates select="sig[@id=$idsig]">
    <xsl:with-param name="word" select="$p"/>
  </xsl:apply-templates>
</xsl:template>

<xsl:template match="sig">
  <xsl:param name="word"/>
    <xsl:value-of select="$word"/> (<xsl:value-of select="./@id"/>):
	<xsl:value-of select="text()"/>
</xsl:template>

</xsl:stylesheet>


